Bug 1433494 - iwyu broken due to linkage error
Summary: iwyu broken due to linkage error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iwyu
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dave Johansen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-17 19:08 UTC by Stefan.Nickl
Modified: 2017-06-25 21:22 UTC (History)
3 users (show)

Fixed In Version: iwyu-0.7-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-25 21:22:02 UTC


Attachments (Terms of Use)

Description Stefan.Nickl 2017-03-17 19:08:00 UTC
Description of problem:
Program broken due to some kind of C++ linkage error with clang/llvm.

Version-Release number of selected component (if applicable):
iwyu-0.6-1.fc25

How reproducible:
Try to run binary in any way.

Steps to Reproduce:
1. $ iwyu

Actual results:
iwyu: symbol lookup error: iwyu: undefined symbol: _ZN5clang26TemplateSpecializationType25PrintTemplateArgumentListERN4llvm11raw_ostreamEPKNS_16TemplateArgumentEjRKNS_14PrintingPolicyEb

Additional info:
$ rpm -qa|egrep "clang|llvm"
clang-libs-3.9.1-1.fc25.x86_64
llvm-libs-3.9.1-1.fc25.x86_64
clang-3.9.1-1.fc25.x86_64

Comment 1 Thomas Moschny 2017-04-03 15:41:19 UTC
The iwyu package needs to be updated to 0.7, to match llvm being updated to 3.9 in F25.

The F26 iwyu package can be rebuilt on F25 without problems and seems to work.

Comment 2 Fedora Update System 2017-04-29 19:25:55 UTC
iwyu-0.7-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5baeddc855

Comment 3 Fedora Update System 2017-04-30 23:21:27 UTC
iwyu-0.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5baeddc855

Comment 4 Fedora Update System 2017-06-25 21:22:02 UTC
iwyu-0.7-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.